org.apache.cassandra.utils

## Class Wrapped<T>

- java.lang.Object
- - org.apache.cassandra.utils.Wrapped<T>

    public class Wrapped<T>
    extends java.lang.Object

Simple wrapper class to be used when a lambda function needs to modify a variable outside it's scope.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static <V> Wrapped<V>` `create(V initial)`
`T` `get()`
`void` `set(T value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### create

    public static <V> Wrapped<V> create(V initial)

#### get

    public T get()

#### set

    public void set(T value)